import dynamix_sdk.base as _base


class CloudapiVinsDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        vins_id: int,
        force: bool = False,
        permanently: bool = False,
    ) -> CloudapiVinsDeleteResultBool:
        ...
